CGAL 6.1.2 - 3D Boolean Operations on Nef Polyhedra: Draw a Nef Polyhedron

CGAL 6.1.2 - 3D Boolean Operations on Nef Polyhedra

Loading...
Searching...
No Matches
Functions
Draw a Nef Polyhedron
Reference Manual

##

Draw.

`#include<CGAL/draw_nef_3.h>`

## Functions
template<class NP3 , class GSOptions >
void | CGAL::draw (const NP3 &np3, const GSOptions &gso)
| opens a new window and draws a nef polyhedron.
template<class NP3 >
void | CGAL::draw (const NP3 &np3)
| A shortcut to `CGAL::draw(np3, Graphics_scene_options{})`.
template<class NP3 , class GSOptions >
void | CGAL::add_to_graphics_scene (const NP3 &np3, CGAL::Graphics_scene &gs, const GSOptions &gso)
| adds the vertices, edges and faces of `np3` into the given graphic scene `gs`.
template<class NP3 >
void | CGAL::add_to_graphics_scene (const NP3 &np3, CGAL::Graphics_scene &gs)
| A shortcut to `CGAL::add_to_graphics_scene(np3, gs, Graphics_scene_options{})`.

## Function Documentation

## ◆ add_to_graphics_scene()

template<class NP3 , class GSOptions >

void CGAL::add_to_graphics_scene | ( | const NP3 & | np3,
|  | CGAL::Graphics_scene & | gs,
|  | const GSOptions & | gso
| ) |  |

`#include <CGAL/draw_nef_3.h>`

adds the vertices, edges and faces of `np3` into the given graphic scene `gs`.

Parameters of the cells are taken from the optional graphics scene options parameter `gso`. Note that `gs` is not cleared before being filled (to enable to draw several data structures in the same basic viewer).

Template Parameters

  NP3 | which must be an instantiation of a `CGAL::Nef_polyhedron_3<...>`.
  GSOptions | a model of `GraphicsSceneOptions` concept.

Parameters

  np3 | the nef polyhedron to draw.
  gs | the graphic scene to fill.
  gso | the graphics scene options parameter.

Advanced

The real declaration of this function template is:

`template<class K, class I, class M, class GSOptions>`

`void CGAL::add_to_graphics_scene(const CGAL::Nef_polyhedron_3<K, I, M>& np3, CGAL::Graphics_scene& gs, const GSOptions& gso);`

## ◆ draw()

template<class NP3 , class GSOptions >

void CGAL::draw | ( | const NP3 & | np3,
|  | const GSOptions & | gso
| ) |  |

`#include <CGAL/draw_nef_3.h>`

opens a new window and draws a nef polyhedron.

Parameters of the drawing are taken from the optional graphics scene options parameter.

A call to this function blocks the execution of the program until the drawing window is closed. This function requires `CGAL_Qt6`, and is only available if the macro `CGAL_USE_BASIC_VIEWER` is defined. Linking with the cmake target `CGAL::CGAL_Basic_viewer` will link with `CGAL_Qt6` and add the definition `CGAL_USE_BASIC_VIEWER`.

Template Parameters

  NP3 | which must be an instantiation of a `CGAL::Nef_polyhedron_3<...>`.
  GSOptions | a model of `GraphicsSceneOptions` concept.

Parameters

  np3 | the nef polyhedron to draw.
  gso | the graphics scene options parameter.

Advanced

The real declaration of this function template is:

`template<class K, class I, class M, class GSOptions>`

`void CGAL::draw(const CGAL::Nef_polyhedron_3<K, I, M>& np3, const GSOptions& gso);`